package com.realnet.basic.Services;
import com.realnet.basic.Repository.AnalyticsRepository;
import com.realnet.basic.Entity.Analytics
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class AnalyticsService {
@Autowired
private AnalyticsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Analytics Savedata(Analytics data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Analytics save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Analytics> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Analytics> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Analytics> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Analytics getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Analytics update(Analytics data,Integer id) {
	Analytics old = Repository.findById(id).get();
old.setLongest_streak(data.getLongest_streak());

old.setCompleted_today(data.getCompleted_today());

old.setTotal_habits(data.getTotal_habits());

old.setFrequency_analysis(data.getFrequency_analysis());

final Analytics test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
